package cn.com.countrygarden.bi.main.service.project.impl.vo;

import java.util.List;

public class ProjectMenuVO {
	
    private Integer id;
	
	 /**
     * 菜单名称
     */
    
    private String name;
    
    /**
     * 父级菜单id
     * 
     */
    
    private Integer parentId;
    /**
     * 是
     */
    public  static final  int ISONE_YES = 1;
    /**
     * 否
     */
    public  static final  int ISONE_NO = 2;
    
    /**
     * 是否单一项目进度动态
     */

    private Integer isOne;
    
    private Integer level;
    
    private Boolean isOpen;
    
    private Boolean isDoubt;
    
    private List<ProjectMenuVO> menu;

	

	public Boolean getIsDoubt() {
		return isDoubt;
	}


	public void setIsDoubt(Boolean isDoubt) {
		this.isDoubt = isDoubt;
	}


	public Boolean getIsOpen() {
		return isOpen;
	}


	public Integer getLevel() {
		return level;
	}


	public void setLevel(Integer level) {
		this.level = level;
	}


	public void setIsOpen(Boolean isOpen) {
		this.isOpen = isOpen;
	}


	public List<ProjectMenuVO> getMenu() {
		return menu;
	}


	public void setMenu(List<ProjectMenuVO> menu) {
		this.menu = menu;
	}


	public void setId(Integer id) {
		this.id = id;
	}


	public Integer getId() {
		return id;
	}


	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	
	public Integer getParentId() {
		return parentId;
	}


	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}


	public Integer getIsOne() {
		return isOne;
	}

	public void setIsOne(Integer isOne) {
		this.isOne = isOne;
	}
    
    
}
